<?php


namespace Drupal\helpdesk_integration;


class UserPreCreationEvent {

  const USER_PRE_CREATION_EVENT = 'helpdesk_integration.user_pre_creation_event';

  protected $user_id;

  protected $helpdesk;

  /**
   * @return HelpdeskInterface
   */
  public function getHelpdesk(): HelpdeskInterface {
    return $this->helpdesk;
  }

  /**
   * @param HelpdeskInterface $helpdesk
   */
  public function setHelpdesk(HelpdeskInterface $helpdesk): void {
    $this->helpdesk = $helpdesk;
  }

  /**
   * @return int
   */
  public function getUserId(): int {
    return $this->user_id;
  }

  /**
   * @param int $user_id
   */
  public function setUserId($user_id): void {
    $this->user_id = $user_id;
  }


}